<?php
require_once '../script_php/conexaoSQL.php';

require_once 'SqlServer.php';



function baixar($contador){
	$sql = new SqlServer();
	
	
    // Define o caminho para a pasta onde o script está localizado
    $caminho = dirname(__FILE__) . '/arquivos/usuarioTIMOTEO/excel/';

    // Nome do arquivo a ser salvo
    $nome_arquivo = $caminho . $contador . 'arquivo.csv';

    // Abre o arquivo para escrita
    $resultado = fopen($nome_arquivo, 'w');

    // Se houver um erro ao abrir o arquivo, exibe uma mensagem e interrompe a execução
    if (!$resultado) {
        die('Erro ao abrir o arquivo para escrita.');
    }

    // Define o cabeçalho do arquivo CSV
    $cabecalho = ['', 'Nome', 'E-mail', mb_convert_encoding('Endereço', "ISO-8859-1", "UTF-8")];

	$dados = $sql->VendasAgrupadasMes();


    // Array de dados
    $usuarios = $dados;

    // Escreve o cabeçalho no arquivo
    fputcsv($resultado, $cabecalho, ';');

    // Escreve o conteúdo no arquivo
    foreach($usuarios as $row_usuario){
        fputcsv($resultado, $row_usuario, ';');
    }

    // Fecha o arquivo
    fclose($resultado);

    echo "$nome_arquivo";
}




/*
$contador = 0;

while($contador < 10 ) {

baixar($contador);


echo $contador;

$contador++;

}

*/

baixar($contador);